Bug 1569033 - [RFE] Add json request and response examples to API documentation
Summary: [RFE] Add json request and response examples to API documentation
Keywords:
Status: CLOSED DEFERRED
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Documentation
Version: 3.7.0
Hardware: Unspecified
OS: Unspecified
low
low
Target Milestone: ---
: ---
Assignee: Vikram Goyal
QA Contact: Vikram Goyal
Vikram Goyal
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-04-18 14:07 UTC by Chad Scribner
Modified: 2019-11-21 12:51 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-11-21 12:51:52 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Knowledge Base (Solution) 3509921 0 None None None 2018-06-29 14:59:01 UTC

Description Chad Scribner 2018-04-18 14:07:24 UTC
1. Proposed title of this feature request
JSON Request & Response API Examples

3. What is the nature and description of the request?
Add code blocks to the OpenShift API documentation to capture the json structure needed for a request and what json comes back in the response.

4. Why does the customer need this? (List the business requirements here)
It would speed up onboarding and usage of OpenShift.  Otherwise, customers need to grab json structures from verbose oc calls.

5. How would the customer like to achieve this? (List the functional requirements here)
Add code blocks to the OpenShift API documentation.

6. For each functional requirement listed, specify how Red Hat and the customer can test to confirm the requirement is successfully implemented.
N/A

7. Is there already an existing RFE upstream or in Red Hat Bugzilla?
No

8. Does the customer have any specific timeline dependencies and which release would they like to target (i.e. RHEL5, RHEL6)?
OCP 3.7 and later

9. Is the sales team involved in this request and do they have any additional input?
No

10. List any affected packages or components.
Documentation

11. Would the customer be able to assist in testing this functionality if implemented?
N/A

Comment 2 Chad Scribner 2018-05-02 18:06:05 UTC
Any updates/thoughts on this one?  JSON tends to be the universal API lingua franca so having this in the documentation would greatly ease adoption and prevent the need to get the data via oc or some other mechanism.

Comment 3 Vikram Goyal 2018-05-09 07:12:49 UTC
(In reply to Chad Scribner from comment #2)
> Any updates/thoughts on this one?  JSON tends to be the universal API lingua
> franca so having this in the documentation would greatly ease adoption and
> prevent the need to get the data via oc or some other mechanism.

Hey Chad - sorry for the delay. There is a plan to have an api.openshift.com website to host this kind of information, but other priorities have pushed that one down the line.

Do you know of any other customers who may be asking for this that help us prioritise it?

Comment 4 Chad Scribner 2018-05-09 14:13:53 UTC
(In reply to Vikram Goyal from comment #3)
> Do you know of any other customers who may be asking for this that help us
> prioritise it?

Hi Vikram -- I'm working on getting more customers on board with this.  Thanks for the update!

Comment 6 Chad Scribner 2018-06-26 16:47:07 UTC
Hi Vikram -- has there been any progress or are there any updates on api.openshift.com?

Comment 7 Vikram Goyal 2018-06-29 05:55:02 UTC
Sorry Chad - none at this stage.

What would help is if we could have some more TAMs chime in with a request for this that would help us prioritise this over other things. If you know someone whose customer may benefit from this, please ask them to chime in on this thread.

I am also exploring if we can downsize the request to exactly what you had asked for - examples, instead of the full blown api.openshift.com, but yeah - the more customers/TAMs ask for it, the better.

Comment 8 Chad Scribner 2018-08-08 01:43:12 UTC
Hi Vikram -- just wanted to check in to see if any new updates are available on this; do you have anything that you can relay?

Comment 10 Stephen Cuppett 2019-11-21 12:51:52 UTC
OCP 3.6-3.10 is no longer on full support [1]. Marking un-triaged bugs CLOSED DEFERRED. If you have a customer case with a support exception or have reproduced on 3.11+, please reopen and include those details. When reopening, please set the Version to the appropriate version where reproduced.

[1]: https://access.redhat.com/support/policy/updates/openshift


Note You need to log in before you can comment on or make changes to this bug.